#include <bits/stdc++.h>

using namespace std;

int main() {
    int N, K;
    cin >> N >> K;
    int* cnt = (int*)calloc(2 * N + 1, sizeof(int));
    for(int i = 0; i < N; i++) {
        int x;
        cin >> x;
        cnt[x + N]++;
    }
    int c = 0;
    for(int i = 0; i < 2 * N + 1; i++) {
        if(cnt[i] >= K) c++;
    }
    cout << c << endl;
    for(int i = 0; i < 2 * N + 1; i++) {
        if(cnt[i] >= K) cout << i - N << " ";
    }
    cout << endl;
    return 0;
}